#include "config.h"

#include <iostream>
#include <string>
#include <pybind11/pybind11.h>
#include <pybind11/functional.h>
#include <pybind11/stl.h>
#include <c2py/c2py.hpp>

#include "module.hpp"
#include "wrappers.hpp"
#include "generated_functions.h"

#include "oes_api/oes_api.h"
#include "mds_api/mds_api.h"


void generate_caster_(pybind11::object & parent)
{
    struct caster: c2py::caster{};
    auto c = c2py::caster::bind<caster>(parent, "caster"); 
    // _OesOrdReq
    c2py::caster::try_generate<_OesOrdReq>(c, "to_OesOrdReq");
    // _OesOrdCancelReq
    c2py::caster::try_generate<_OesOrdCancelReq>(c, "to_OesOrdCancelReq");
    // _OesOrdReject
    c2py::caster::try_generate<_OesOrdReject>(c, "to_OesOrdReject");
    // _OesOrdCnfm
    c2py::caster::try_generate<_OesOrdCnfm>(c, "to_OesOrdCnfm");
    // _OesTrdBaseInfo
    c2py::caster::try_generate<_OesTrdBaseInfo>(c, "to_OesTrdBaseInfo");
    // _OesTrdCnfm
    c2py::caster::try_generate<_OesTrdCnfm>(c, "to_OesTrdCnfm");
    // _OesLotWinningBaseInfo
    c2py::caster::try_generate<_OesLotWinningBaseInfo>(c, "to_OesLotWinningBaseInfo");
    // _OesFundTrsfBaseInfo
    c2py::caster::try_generate<_OesFundTrsfBaseInfo>(c, "to_OesFundTrsfBaseInfo");
    // _OesFundTrsfReq
    c2py::caster::try_generate<_OesFundTrsfReq>(c, "to_OesFundTrsfReq");
    // _OesFundTrsfReject
    c2py::caster::try_generate<_OesFundTrsfReject>(c, "to_OesFundTrsfReject");
    // _OesFundTrsfReport
    c2py::caster::try_generate<_OesFundTrsfReport>(c, "to_OesFundTrsfReport");
    // _OesIssueBaseInfo
    c2py::caster::try_generate<_OesIssueBaseInfo>(c, "to_OesIssueBaseInfo");
    // _OesPriceLimit
    c2py::caster::try_generate<_OesPriceLimit>(c, "to_OesPriceLimit");
    // _OesStockBaseInfo
    c2py::caster::try_generate<_OesStockBaseInfo>(c, "to_OesStockBaseInfo");
    // _OesEtfBaseInfo
    c2py::caster::try_generate<_OesEtfBaseInfo>(c, "to_OesEtfBaseInfo");
    // _OesEtfComponentBaseInfo
    c2py::caster::try_generate<_OesEtfComponentBaseInfo>(c, "to_OesEtfComponentBaseInfo");
    // _OesOptionBaseInfo
    c2py::caster::try_generate<_OesOptionBaseInfo>(c, "to_OesOptionBaseInfo");
    // _OesCashAssetBaseInfo
    c2py::caster::try_generate<_OesCashAssetBaseInfo>(c, "to_OesCashAssetBaseInfo");
    // _OesCustBaseInfo
    c2py::caster::try_generate<_OesCustBaseInfo>(c, "to_OesCustBaseInfo");
    // _OesInvAcctBaseInfo
    c2py::caster::try_generate<_OesInvAcctBaseInfo>(c, "to_OesInvAcctBaseInfo");
    // _OesStkHoldingBaseInfo
    c2py::caster::try_generate<_OesStkHoldingBaseInfo>(c, "to_OesStkHoldingBaseInfo");
    // _OesOptHoldingBaseInfo
    c2py::caster::try_generate<_OesOptHoldingBaseInfo>(c, "to_OesOptHoldingBaseInfo");
    // _OesMarketStateInfo
    c2py::caster::try_generate<_OesMarketStateInfo>(c, "to_OesMarketStateInfo");
    // _OesTradingPermissionEntry
    c2py::caster::try_generate<_OesTradingPermissionEntry>(c, "to_OesTradingPermissionEntry");
    // _SMsgHead
    c2py::caster::try_generate<_SMsgHead>(c, "to_SMsgHead");
    // _OesQryCursor
    c2py::caster::try_generate<_OesQryCursor>(c, "to_OesQryCursor");
    // _OesQryReqHead
    c2py::caster::try_generate<_OesQryReqHead>(c, "to_OesQryReqHead");
    // _OesQryRspHead
    c2py::caster::try_generate<_OesQryRspHead>(c, "to_OesQryRspHead");
    // _OesQryOrdFilter
    c2py::caster::try_generate<_OesQryOrdFilter>(c, "to_OesQryOrdFilter");
    // _OesQryOrdReq
    c2py::caster::try_generate<_OesQryOrdReq>(c, "to_OesQryOrdReq");
    // _OesQryOrdRsp
    c2py::caster::try_generate<_OesQryOrdRsp>(c, "to_OesQryOrdRsp");
    // _OesQryTrdFilter
    c2py::caster::try_generate<_OesQryTrdFilter>(c, "to_OesQryTrdFilter");
    // _OesQryTrdReq
    c2py::caster::try_generate<_OesQryTrdReq>(c, "to_OesQryTrdReq");
    // _OesQryTrdRsp
    c2py::caster::try_generate<_OesQryTrdRsp>(c, "to_OesQryTrdRsp");
    // _OesQryCashAssetFilter
    c2py::caster::try_generate<_OesQryCashAssetFilter>(c, "to_OesQryCashAssetFilter");
    // _OesCashAssetItem
    c2py::caster::try_generate<_OesCashAssetItem>(c, "to_OesCashAssetItem");
    // _OesQryCashAssetReq
    c2py::caster::try_generate<_OesQryCashAssetReq>(c, "to_OesQryCashAssetReq");
    // _OesQryCashAssetRsp
    c2py::caster::try_generate<_OesQryCashAssetRsp>(c, "to_OesQryCashAssetRsp");
    // _OesCounterCashItem
    c2py::caster::try_generate<_OesCounterCashItem>(c, "to_OesCounterCashItem");
    // _OesQryCounterCashReq
    c2py::caster::try_generate<_OesQryCounterCashReq>(c, "to_OesQryCounterCashReq");
    // _OesQryCounterCashRsp
    c2py::caster::try_generate<_OesQryCounterCashRsp>(c, "to_OesQryCounterCashRsp");
    // _OesQryStkHoldingFilter
    c2py::caster::try_generate<_OesQryStkHoldingFilter>(c, "to_OesQryStkHoldingFilter");
    // _OesStkHoldingItem
    c2py::caster::try_generate<_OesStkHoldingItem>(c, "to_OesStkHoldingItem");
    // _OesQryStkHoldingReq
    c2py::caster::try_generate<_OesQryStkHoldingReq>(c, "to_OesQryStkHoldingReq");
    // _OesQryStkHoldingRsp
    c2py::caster::try_generate<_OesQryStkHoldingRsp>(c, "to_OesQryStkHoldingRsp");
    // _OesOptHoldingItem
    c2py::caster::try_generate<_OesOptHoldingItem>(c, "to_OesOptHoldingItem");
    // _OesQryOptHoldingReq
    c2py::caster::try_generate<_OesQryOptHoldingReq>(c, "to_OesQryOptHoldingReq");
    // _OesQryHoldRsp
    c2py::caster::try_generate<_OesQryHoldRsp>(c, "to_OesQryHoldRsp");
    // _OesQryCustFilter
    c2py::caster::try_generate<_OesQryCustFilter>(c, "to_OesQryCustFilter");
    // _OesQryCustReq
    c2py::caster::try_generate<_OesQryCustReq>(c, "to_OesQryCustReq");
    // _OesQryCustRsp
    c2py::caster::try_generate<_OesQryCustRsp>(c, "to_OesQryCustRsp");
    // _OesQryInvAcctFilter
    c2py::caster::try_generate<_OesQryInvAcctFilter>(c, "to_OesQryInvAcctFilter");
    // _OesInvAcctItem
    c2py::caster::try_generate<_OesInvAcctItem>(c, "to_OesInvAcctItem");
    // _OesQryInvAcctReq
    c2py::caster::try_generate<_OesQryInvAcctReq>(c, "to_OesQryInvAcctReq");
    // _OesQryInvAcctRsp
    c2py::caster::try_generate<_OesQryInvAcctRsp>(c, "to_OesQryInvAcctRsp");
    // _OesInvAcctOverview
    c2py::caster::try_generate<_OesInvAcctOverview>(c, "to_OesInvAcctOverview");
    // _OesCashAcctOverview
    c2py::caster::try_generate<_OesCashAcctOverview>(c, "to_OesCashAcctOverview");
    // _OesCustOverview
    c2py::caster::try_generate<_OesCustOverview>(c, "to_OesCustOverview");
    // _OesClientOverview
    c2py::caster::try_generate<_OesClientOverview>(c, "to_OesClientOverview");
    // _OesQryCommissionRateFilter
    c2py::caster::try_generate<_OesQryCommissionRateFilter>(c, "to_OesQryCommissionRateFilter");
    // _OesCommissionRateItem
    c2py::caster::try_generate<_OesCommissionRateItem>(c, "to_OesCommissionRateItem");
    // _OesQryCommissionRateReq
    c2py::caster::try_generate<_OesQryCommissionRateReq>(c, "to_OesQryCommissionRateReq");
    // _OesQryCommissionRateRsp
    c2py::caster::try_generate<_OesQryCommissionRateRsp>(c, "to_OesQryCommissionRateRsp");
    // _OesQryFundTransferSerialFilter
    c2py::caster::try_generate<_OesQryFundTransferSerialFilter>(c, "to_OesQryFundTransferSerialFilter");
    // _OesQryFundTransferSerialReq
    c2py::caster::try_generate<_OesQryFundTransferSerialReq>(c, "to_OesQryFundTransferSerialReq");
    // _OesQryFundTransferSerialRsp
    c2py::caster::try_generate<_OesQryFundTransferSerialRsp>(c, "to_OesQryFundTransferSerialRsp");
    // _OesQryLotWinningFilter
    c2py::caster::try_generate<_OesQryLotWinningFilter>(c, "to_OesQryLotWinningFilter");
    // _OesQryLotWinningReq
    c2py::caster::try_generate<_OesQryLotWinningReq>(c, "to_OesQryLotWinningReq");
    // _OesQryLotWinningRsp
    c2py::caster::try_generate<_OesQryLotWinningRsp>(c, "to_OesQryLotWinningRsp");
    // _OesQryIssueFilter
    c2py::caster::try_generate<_OesQryIssueFilter>(c, "to_OesQryIssueFilter");
    // _OesQryIssueReq
    c2py::caster::try_generate<_OesQryIssueReq>(c, "to_OesQryIssueReq");
    // _OesQryIssueRsp
    c2py::caster::try_generate<_OesQryIssueRsp>(c, "to_OesQryIssueRsp");
    // _OesQryStockFilter
    c2py::caster::try_generate<_OesQryStockFilter>(c, "to_OesQryStockFilter");
    // _OesQryStockReq
    c2py::caster::try_generate<_OesQryStockReq>(c, "to_OesQryStockReq");
    // _OesQryStockRsp
    c2py::caster::try_generate<_OesQryStockRsp>(c, "to_OesQryStockRsp");
    // _OesQryEtfFilter
    c2py::caster::try_generate<_OesQryEtfFilter>(c, "to_OesQryEtfFilter");
    // _OesQryEtfReq
    c2py::caster::try_generate<_OesQryEtfReq>(c, "to_OesQryEtfReq");
    // _OesQryEtfRsp
    c2py::caster::try_generate<_OesQryEtfRsp>(c, "to_OesQryEtfRsp");
    // _OesQryEtfComponentFilter
    c2py::caster::try_generate<_OesQryEtfComponentFilter>(c, "to_OesQryEtfComponentFilter");
    // _OesEtfComponentItem
    c2py::caster::try_generate<_OesEtfComponentItem>(c, "to_OesEtfComponentItem");
    // _OesQryEtfComponentReq
    c2py::caster::try_generate<_OesQryEtfComponentReq>(c, "to_OesQryEtfComponentReq");
    // _OesQryEtfComponentRsp
    c2py::caster::try_generate<_OesQryEtfComponentRsp>(c, "to_OesQryEtfComponentRsp");
    // _OesQryOptionFilter
    c2py::caster::try_generate<_OesQryOptionFilter>(c, "to_OesQryOptionFilter");
    // _OesQryOptionReq
    c2py::caster::try_generate<_OesQryOptionReq>(c, "to_OesQryOptionReq");
    // _OesQryOptionRsp
    c2py::caster::try_generate<_OesQryOptionRsp>(c, "to_OesQryOptionRsp");
    // _OesQryTradingDayRsp
    c2py::caster::try_generate<_OesQryTradingDayRsp>(c, "to_OesQryTradingDayRsp");
    // _OesQryMarketStateFilter
    c2py::caster::try_generate<_OesQryMarketStateFilter>(c, "to_OesQryMarketStateFilter");
    // _OesQryMarketStateReq
    c2py::caster::try_generate<_OesQryMarketStateReq>(c, "to_OesQryMarketStateReq");
    // _OesQryMarketStateRsp
    c2py::caster::try_generate<_OesQryMarketStateRsp>(c, "to_OesQryMarketStateRsp");
    // _OesQryReqMsg
    c2py::caster::try_generate<_OesQryReqMsg>(c, "to_OesQryReqMsg");
    // _OesQryRspMsg
    c2py::caster::try_generate<_OesQryRspMsg>(c, "to_OesQryRspMsg");
    // _OesReportSynchronizationReq
    c2py::caster::try_generate<_OesReportSynchronizationReq>(c, "to_OesReportSynchronizationReq");
    // _OesReportSynchronizationRsp
    c2py::caster::try_generate<_OesReportSynchronizationRsp>(c, "to_OesReportSynchronizationRsp");
    // _OesTestRequestReq
    c2py::caster::try_generate<_OesTestRequestReq>(c, "to_OesTestRequestReq");
    // _OesTestRequestRsp
    c2py::caster::try_generate<_OesTestRequestRsp>(c, "to_OesTestRequestRsp");
    // _OesChangePasswordReq
    c2py::caster::try_generate<_OesChangePasswordReq>(c, "to_OesChangePasswordReq");
    // _OesChangePasswordRsp
    c2py::caster::try_generate<_OesChangePasswordRsp>(c, "to_OesChangePasswordRsp");
    // _OesBatchOrdersHead
    c2py::caster::try_generate<_OesBatchOrdersHead>(c, "to_OesBatchOrdersHead");
    // _OesBatchOrdersReq
    c2py::caster::try_generate<_OesBatchOrdersReq>(c, "to_OesBatchOrdersReq");
    // _OesRptMsgHead
    c2py::caster::try_generate<_OesRptMsgHead>(c, "to_OesRptMsgHead");
    // _OesRptMsgBody
    c2py::caster::try_generate<_OesRptMsgBody>(c, "to_OesRptMsgBody");
    // _OesRptMsg
    c2py::caster::try_generate<_OesRptMsg>(c, "to_OesRptMsg");
    // _OesReqMsgBody
    c2py::caster::try_generate<_OesReqMsgBody>(c, "to_OesReqMsgBody");
    // _OesRspMsgBody
    c2py::caster::try_generate<_OesRspMsgBody>(c, "to_OesRspMsgBody");
    // _SErrMsg
    c2py::caster::try_generate<_SErrMsg>(c, "to_SErrMsg");
    // _SDataBuffer
    c2py::caster::try_generate<_SDataBuffer>(c, "to_SDataBuffer");
    // _SDataBufferVar
    c2py::caster::try_generate<_SDataBufferVar>(c, "to_SDataBufferVar");
    // _SSocketUriInfo
    c2py::caster::try_generate<_SSocketUriInfo>(c, "to_SSocketUriInfo");
    // _SSocketIpPortInfo
    c2py::caster::try_generate<_SSocketIpPortInfo>(c, "to_SSocketIpPortInfo");
    // _SSocketChannelInfo
    c2py::caster::try_generate<_SSocketChannelInfo>(c, "to_SSocketChannelInfo");
    // _SSocketOptionConfig
    c2py::caster::try_generate<_SSocketOptionConfig>(c, "to_SSocketOptionConfig");
    // _SGeneralClientChannel
    c2py::caster::try_generate<_SGeneralClientChannel>(c, "to_SGeneralClientChannel");
    // _SGeneralClientChannelGroup
    c2py::caster::try_generate<_SGeneralClientChannelGroup>(c, "to_SGeneralClientChannelGroup");
    // _SGeneralClientAddrInfo
    c2py::caster::try_generate<_SGeneralClientAddrInfo>(c, "to_SGeneralClientAddrInfo");
    // _SGeneralClientRemoteCfg
    c2py::caster::try_generate<_SGeneralClientRemoteCfg>(c, "to_SGeneralClientRemoteCfg");
    // _OesApiSubscribeInfo
    c2py::caster::try_generate<_OesApiSubscribeInfo>(c, "to_OesApiSubscribeInfo");
    // _OesApiClientCfg
    c2py::caster::try_generate<_OesApiClientCfg>(c, "to_OesApiClientCfg");
    // _OesApiClientEnv
    c2py::caster::try_generate<_OesApiClientEnv>(c, "to_OesApiClientEnv");
    // _MdsTradingSessionStatusMsg
    c2py::caster::try_generate<_MdsTradingSessionStatusMsg>(c, "to_MdsTradingSessionStatusMsg");
    // _MdsSecurityStatusMsg
    c2py::caster::try_generate<_MdsSecurityStatusMsg>(c, "to_MdsSecurityStatusMsg");
    // _MdsPriceLevelEntry
    c2py::caster::try_generate<_MdsPriceLevelEntry>(c, "to_MdsPriceLevelEntry");
    // _MdsMktDataSnapshotHead
    c2py::caster::try_generate<_MdsMktDataSnapshotHead>(c, "to_MdsMktDataSnapshotHead");
    // _MdsIndexSnapshotBody
    c2py::caster::try_generate<_MdsIndexSnapshotBody>(c, "to_MdsIndexSnapshotBody");
    // _MdsStockSnapshotBody
    c2py::caster::try_generate<_MdsStockSnapshotBody>(c, "to_MdsStockSnapshotBody");
    // _MdsL1SnapshotBody
    c2py::caster::try_generate<_MdsL1SnapshotBody>(c, "to_MdsL1SnapshotBody");
    // _MdsL1Snapshot
    c2py::caster::try_generate<_MdsL1Snapshot>(c, "to_MdsL1Snapshot");
    // _MdsL2StockSnapshotBody
    c2py::caster::try_generate<_MdsL2StockSnapshotBody>(c, "to_MdsL2StockSnapshotBody");
    // _MdsL2StockSnapshotIncremental
    c2py::caster::try_generate<_MdsL2StockSnapshotIncremental>(c, "to_MdsL2StockSnapshotIncremental");
    // _MdsL2BestOrdersSnapshotBody
    c2py::caster::try_generate<_MdsL2BestOrdersSnapshotBody>(c, "to_MdsL2BestOrdersSnapshotBody");
    // _MdsL2BestOrdersSnapshotIncremental
    c2py::caster::try_generate<_MdsL2BestOrdersSnapshotIncremental>(c, "to_MdsL2BestOrdersSnapshotIncremental");
    // _MdsL2MarketOverview
    c2py::caster::try_generate<_MdsL2MarketOverview>(c, "to_MdsL2MarketOverview");
    // _MdsL2SnapshotBody
    c2py::caster::try_generate<_MdsL2SnapshotBody>(c, "to_MdsL2SnapshotBody");
    // _MdsMktDataSnapshot
    c2py::caster::try_generate<_MdsMktDataSnapshot>(c, "to_MdsMktDataSnapshot");
    // _MdsL2Trade
    c2py::caster::try_generate<_MdsL2Trade>(c, "to_MdsL2Trade");
    // _MdsL2Order
    c2py::caster::try_generate<_MdsL2Order>(c, "to_MdsL2Order");
    // _MdsWholeMktMsgBody
    c2py::caster::try_generate<_MdsWholeMktMsgBody>(c, "to_MdsWholeMktMsgBody");
    // _MdsStockStaticInfo
    c2py::caster::try_generate<_MdsStockStaticInfo>(c, "to_MdsStockStaticInfo");
    // _MdsQryMktDataSnapshotReq
    c2py::caster::try_generate<_MdsQryMktDataSnapshotReq>(c, "to_MdsQryMktDataSnapshotReq");
    // _MdsQryTrdSessionStatusReq
    c2py::caster::try_generate<_MdsQryTrdSessionStatusReq>(c, "to_MdsQryTrdSessionStatusReq");
    // _MdsQryReqHeadT
    c2py::caster::try_generate<_MdsQryReqHeadT>(c, "to_MdsQryReqHeadT");
    // _MdsQryRspHeadT
    c2py::caster::try_generate<_MdsQryRspHeadT>(c, "to_MdsQryRspHeadT");
    // _MdsQryCursor
    c2py::caster::try_generate<_MdsQryCursor>(c, "to_MdsQryCursor");
    // _MdsQrySecurityCodeEntry
    c2py::caster::try_generate<_MdsQrySecurityCodeEntry>(c, "to_MdsQrySecurityCodeEntry");
    // _MdsQryStockStaticInfoFilter
    c2py::caster::try_generate<_MdsQryStockStaticInfoFilter>(c, "to_MdsQryStockStaticInfoFilter");
    // _MdsQryStockStaticInfoReq
    c2py::caster::try_generate<_MdsQryStockStaticInfoReq>(c, "to_MdsQryStockStaticInfoReq");
    // _MdsQryStockStaticInfoRsp
    c2py::caster::try_generate<_MdsQryStockStaticInfoRsp>(c, "to_MdsQryStockStaticInfoRsp");
    // _MdsQrySnapshotListFilter
    c2py::caster::try_generate<_MdsQrySnapshotListFilter>(c, "to_MdsQrySnapshotListFilter");
    // _MdsQrySnapshotListReq
    c2py::caster::try_generate<_MdsQrySnapshotListReq>(c, "to_MdsQrySnapshotListReq");
    // _MdsQrySnapshotListRsp
    c2py::caster::try_generate<_MdsQrySnapshotListRsp>(c, "to_MdsQrySnapshotListRsp");
    // _MdsMktDataRequestEntry
    c2py::caster::try_generate<_MdsMktDataRequestEntry>(c, "to_MdsMktDataRequestEntry");
    // _MdsMktDataRequestReq
    c2py::caster::try_generate<_MdsMktDataRequestReq>(c, "to_MdsMktDataRequestReq");
    // _MdsMktDataRequestReqBuf
    c2py::caster::try_generate<_MdsMktDataRequestReqBuf>(c, "to_MdsMktDataRequestReqBuf");
    // _MdsMktDataRequestRsp
    c2py::caster::try_generate<_MdsMktDataRequestRsp>(c, "to_MdsMktDataRequestRsp");
    // _MdsTestRequestReq
    c2py::caster::try_generate<_MdsTestRequestReq>(c, "to_MdsTestRequestReq");
    // _MdsTestRequestRsp
    c2py::caster::try_generate<_MdsTestRequestRsp>(c, "to_MdsTestRequestRsp");
    // _MdsChangePasswordReq
    c2py::caster::try_generate<_MdsChangePasswordReq>(c, "to_MdsChangePasswordReq");
    // _MdsChangePasswordRsp
    c2py::caster::try_generate<_MdsChangePasswordRsp>(c, "to_MdsChangePasswordRsp");
    // _MdsMktReqMsgBody
    c2py::caster::try_generate<_MdsMktReqMsgBody>(c, "to_MdsMktReqMsgBody");
    // _MdsMktRspMsgBody
    c2py::caster::try_generate<_MdsMktRspMsgBody>(c, "to_MdsMktRspMsgBody");
    // _MdsUdpPktHead
    c2py::caster::try_generate<_MdsUdpPktHead>(c, "to_MdsUdpPktHead");
    // _MdsApiClientCfg
    c2py::caster::try_generate<_MdsApiClientCfg>(c, "to_MdsApiClientCfg");
    // _MdsApiClientEnv
    c2py::caster::try_generate<_MdsApiClientEnv>(c, "to_MdsApiClientEnv");
    // int8
    c2py::caster::try_generate<int8>(c, "toint8");
    // uint8
    c2py::caster::try_generate<uint8>(c, "touint8");
    // int16
    c2py::caster::try_generate<int16>(c, "toint16");
    // uint16
    c2py::caster::try_generate<uint16>(c, "touint16");
    // int32
    c2py::caster::try_generate<int32>(c, "toint32");
    // uint32
    c2py::caster::try_generate<uint32>(c, "touint32");
    // int64
    c2py::caster::try_generate<int64>(c, "toint64");
    // uint64
    c2py::caster::try_generate<uint64>(c, "touint64");
    // float32
    c2py::caster::try_generate<float32>(c, "tofloat32");
    // float64
    c2py::caster::try_generate<float64>(c, "tofloat64");
    // float128
    c2py::caster::try_generate<float128>(c, "tofloat128");
    // eOesExchangeIdT
    c2py::caster::try_generate<eOesExchangeIdT>(c, "toeOesExchangeIdT");
    // eOesMarketIdT
    c2py::caster::try_generate<eOesMarketIdT>(c, "toeOesMarketIdT");
    // eOesPlatformIdT
    c2py::caster::try_generate<eOesPlatformIdT>(c, "toeOesPlatformIdT");
    // eOesMarketStateT
    c2py::caster::try_generate<eOesMarketStateT>(c, "toeOesMarketStateT");
    // eOesTrdSessTypeT
    c2py::caster::try_generate<eOesTrdSessTypeT>(c, "toeOesTrdSessTypeT");
    // eOesProductTypeT
    c2py::caster::try_generate<eOesProductTypeT>(c, "toeOesProductTypeT");
    // eOesSecurityTypeT
    c2py::caster::try_generate<eOesSecurityTypeT>(c, "toeOesSecurityTypeT");
    // eOesSubSecurityTypeT
    c2py::caster::try_generate<eOesSubSecurityTypeT>(c, "toeOesSubSecurityTypeT");
    // eOesSecurityLevelT
    c2py::caster::try_generate<eOesSecurityLevelT>(c, "toeOesSecurityLevelT");
    // eOesSecurityRiskLevelT
    c2py::caster::try_generate<eOesSecurityRiskLevelT>(c, "toeOesSecurityRiskLevelT");
    // eOesSecuritySuspFlagT
    c2py::caster::try_generate<eOesSecuritySuspFlagT>(c, "toeOesSecuritySuspFlagT");
    // eOesLotTypeT
    c2py::caster::try_generate<eOesLotTypeT>(c, "toeOesLotTypeT");
    // eOesLotRejReasonT
    c2py::caster::try_generate<eOesLotRejReasonT>(c, "toeOesLotRejReasonT");
    // eOesOrdStatusT
    c2py::caster::try_generate<eOesOrdStatusT>(c, "toeOesOrdStatusT");
    // eOesOrdTypeT
    c2py::caster::try_generate<eOesOrdTypeT>(c, "toeOesOrdTypeT");
    // eOesOrdTypeShT
    c2py::caster::try_generate<eOesOrdTypeShT>(c, "toeOesOrdTypeShT");
    // eOesOrdTypeSzT
    c2py::caster::try_generate<eOesOrdTypeSzT>(c, "toeOesOrdTypeSzT");
    // eOesBuySellTypeT
    c2py::caster::try_generate<eOesBuySellTypeT>(c, "toeOesBuySellTypeT");
    // eOesOrdDirT
    c2py::caster::try_generate<eOesOrdDirT>(c, "toeOesOrdDirT");
    // eOesEtfTrdCnfmTypeT
    c2py::caster::try_generate<eOesEtfTrdCnfmTypeT>(c, "toeOesEtfTrdCnfmTypeT");
    // eOesEtfSubFlagT
    c2py::caster::try_generate<eOesEtfSubFlagT>(c, "toeOesEtfSubFlagT");
    // eOesExecTypeT
    c2py::caster::try_generate<eOesExecTypeT>(c, "toeOesExecTypeT");
    // eOesCurrTypeT
    c2py::caster::try_generate<eOesCurrTypeT>(c, "toeOesCurrTypeT");
    // eOesFeeTypeT
    c2py::caster::try_generate<eOesFeeTypeT>(c, "toeOesFeeTypeT");
    // eOesCalcFeeModeT
    c2py::caster::try_generate<eOesCalcFeeModeT>(c, "toeOesCalcFeeModeT");
    // eOesFundTrsfDirectT
    c2py::caster::try_generate<eOesFundTrsfDirectT>(c, "toeOesFundTrsfDirectT");
    // eOesFundTrsfTypeT
    c2py::caster::try_generate<eOesFundTrsfTypeT>(c, "toeOesFundTrsfTypeT");
    // eOesFundTrsfStatusT
    c2py::caster::try_generate<eOesFundTrsfStatusT>(c, "toeOesFundTrsfStatusT");
    // eOesAcctTypeT
    c2py::caster::try_generate<eOesAcctTypeT>(c, "toeOesAcctTypeT");
    // eOesCashTypeT
    c2py::caster::try_generate<eOesCashTypeT>(c, "toeOesCashTypeT");
    // eOesAcctStatusT
    c2py::caster::try_generate<eOesAcctStatusT>(c, "toeOesAcctStatusT");
    // eOesTradingPermissionT
    c2py::caster::try_generate<eOesTradingPermissionT>(c, "toeOesTradingPermissionT");
    // eOesTradingLimitT
    c2py::caster::try_generate<eOesTradingLimitT>(c, "toeOesTradingLimitT");
    // eOesQualificationClassT
    c2py::caster::try_generate<eOesQualificationClassT>(c, "toeOesQualificationClassT");
    // eOesInvestorClassT
    c2py::caster::try_generate<eOesInvestorClassT>(c, "toeOesInvestorClassT");
    // eOesCustTypeT
    c2py::caster::try_generate<eOesCustTypeT>(c, "toeOesCustTypeT");
    // eOesOwnerTypeT
    c2py::caster::try_generate<eOesOwnerTypeT>(c, "toeOesOwnerTypeT");
    // eOesClientTypeT
    c2py::caster::try_generate<eOesClientTypeT>(c, "toeOesClientTypeT");
    // eOesClientStatusT
    c2py::caster::try_generate<eOesClientStatusT>(c, "toeOesClientStatusT");
    // eOesOptContractTypeT
    c2py::caster::try_generate<eOesOptContractTypeT>(c, "toeOesOptContractTypeT");
    // eOesOptInvLevelT
    c2py::caster::try_generate<eOesOptInvLevelT>(c, "toeOesOptInvLevelT");
    // eOpenFlagTypeT
    c2py::caster::try_generate<eOpenFlagTypeT>(c, "toeOpenFlagTypeT");
    // eOesOptionOpenFlagT
    c2py::caster::try_generate<eOesOptionOpenFlagT>(c, "toeOesOptionOpenFlagT");
    // eOesPositionEffT
    c2py::caster::try_generate<eOesPositionEffT>(c, "toeOesPositionEffT");
    // eOesOptionTypeT
    c2py::caster::try_generate<eOesOptionTypeT>(c, "toeOesOptionTypeT");
    // OesOrdReqT
    c2py::caster::try_generate<OesOrdReqT>(c, "toOesOrdReqT");
    // OesOrdCancelReqT
    c2py::caster::try_generate<OesOrdCancelReqT>(c, "toOesOrdCancelReqT");
    // OesOrdRejectT
    c2py::caster::try_generate<OesOrdRejectT>(c, "toOesOrdRejectT");
    // OesOrdCnfmT
    c2py::caster::try_generate<OesOrdCnfmT>(c, "toOesOrdCnfmT");
    // OesTrdBaseInfoT
    c2py::caster::try_generate<OesTrdBaseInfoT>(c, "toOesTrdBaseInfoT");
    // OesTrdCnfmT
    c2py::caster::try_generate<OesTrdCnfmT>(c, "toOesTrdCnfmT");
    // OesLotWinningBaseInfoT
    c2py::caster::try_generate<OesLotWinningBaseInfoT>(c, "toOesLotWinningBaseInfoT");
    // OesFundTrsfBaseInfoT
    c2py::caster::try_generate<OesFundTrsfBaseInfoT>(c, "toOesFundTrsfBaseInfoT");
    // OesFundTrsfReqT
    c2py::caster::try_generate<OesFundTrsfReqT>(c, "toOesFundTrsfReqT");
    // OesFundTrsfRejectT
    c2py::caster::try_generate<OesFundTrsfRejectT>(c, "toOesFundTrsfRejectT");
    // OesFundTrsfReportT
    c2py::caster::try_generate<OesFundTrsfReportT>(c, "toOesFundTrsfReportT");
    // OesIssueBaseInfoT
    c2py::caster::try_generate<OesIssueBaseInfoT>(c, "toOesIssueBaseInfoT");
    // OesPriceLimitT
    c2py::caster::try_generate<OesPriceLimitT>(c, "toOesPriceLimitT");
    // OesStockBaseInfoT
    c2py::caster::try_generate<OesStockBaseInfoT>(c, "toOesStockBaseInfoT");
    // OesEtfBaseInfoT
    c2py::caster::try_generate<OesEtfBaseInfoT>(c, "toOesEtfBaseInfoT");
    // OesEtfComponentBaseInfoT
    c2py::caster::try_generate<OesEtfComponentBaseInfoT>(c, "toOesEtfComponentBaseInfoT");
    // OesOptionBaseInfoT
    c2py::caster::try_generate<OesOptionBaseInfoT>(c, "toOesOptionBaseInfoT");
    // OesCashAssetBaseInfoT
    c2py::caster::try_generate<OesCashAssetBaseInfoT>(c, "toOesCashAssetBaseInfoT");
    // OesCustBaseInfoT
    c2py::caster::try_generate<OesCustBaseInfoT>(c, "toOesCustBaseInfoT");
    // OesInvAcctBaseInfoT
    c2py::caster::try_generate<OesInvAcctBaseInfoT>(c, "toOesInvAcctBaseInfoT");
    // OesStkHoldingBaseInfoT
    c2py::caster::try_generate<OesStkHoldingBaseInfoT>(c, "toOesStkHoldingBaseInfoT");
    // OesOptHoldingBaseInfoT
    c2py::caster::try_generate<OesOptHoldingBaseInfoT>(c, "toOesOptHoldingBaseInfoT");
    // OesMarketStateInfoT
    c2py::caster::try_generate<OesMarketStateInfoT>(c, "toOesMarketStateInfoT");
    // OesTradingPermissionEntryT
    c2py::caster::try_generate<OesTradingPermissionEntryT>(c, "toOesTradingPermissionEntryT");
    // eSMsgProtocolTypeT
    c2py::caster::try_generate<eSMsgProtocolTypeT>(c, "toeSMsgProtocolTypeT");
    // eSMsgFlagT
    c2py::caster::try_generate<eSMsgFlagT>(c, "toeSMsgFlagT");
    // SMsgHeadT
    c2py::caster::try_generate<SMsgHeadT>(c, "toSMsgHeadT");
    // OesQryCursorT
    c2py::caster::try_generate<OesQryCursorT>(c, "toOesQryCursorT");
    // OesQryReqHeadT
    c2py::caster::try_generate<OesQryReqHeadT>(c, "toOesQryReqHeadT");
    // OesQryRspHeadT
    c2py::caster::try_generate<OesQryRspHeadT>(c, "toOesQryRspHeadT");
    // OesQryOrdFilterT
    c2py::caster::try_generate<OesQryOrdFilterT>(c, "toOesQryOrdFilterT");
    // OesOrdItemT
    c2py::caster::try_generate<OesOrdItemT>(c, "toOesOrdItemT");
    // OesQryOrdReqT
    c2py::caster::try_generate<OesQryOrdReqT>(c, "toOesQryOrdReqT");
    // OesQryOrdRspT
    c2py::caster::try_generate<OesQryOrdRspT>(c, "toOesQryOrdRspT");
    // OesQryTrdFilterT
    c2py::caster::try_generate<OesQryTrdFilterT>(c, "toOesQryTrdFilterT");
    // OesTrdItemT
    c2py::caster::try_generate<OesTrdItemT>(c, "toOesTrdItemT");
    // OesQryTrdReqT
    c2py::caster::try_generate<OesQryTrdReqT>(c, "toOesQryTrdReqT");
    // OesQryTrdRspT
    c2py::caster::try_generate<OesQryTrdRspT>(c, "toOesQryTrdRspT");
    // OesQryCashAssetFilterT
    c2py::caster::try_generate<OesQryCashAssetFilterT>(c, "toOesQryCashAssetFilterT");
    // OesCashAssetItemT
    c2py::caster::try_generate<OesCashAssetItemT>(c, "toOesCashAssetItemT");
    // OesQryCashAssetReqT
    c2py::caster::try_generate<OesQryCashAssetReqT>(c, "toOesQryCashAssetReqT");
    // OesQryCashAssetRspT
    c2py::caster::try_generate<OesQryCashAssetRspT>(c, "toOesQryCashAssetRspT");
    // OesCounterCashItemT
    c2py::caster::try_generate<OesCounterCashItemT>(c, "toOesCounterCashItemT");
    // OesQryCounterCashReqT
    c2py::caster::try_generate<OesQryCounterCashReqT>(c, "toOesQryCounterCashReqT");
    // OesQryCounterCashRspT
    c2py::caster::try_generate<OesQryCounterCashRspT>(c, "toOesQryCounterCashRspT");
    // OesQryStkHoldingFilterT
    c2py::caster::try_generate<OesQryStkHoldingFilterT>(c, "toOesQryStkHoldingFilterT");
    // OesStkHoldingItemT
    c2py::caster::try_generate<OesStkHoldingItemT>(c, "toOesStkHoldingItemT");
    // OesQryStkHoldingReqT
    c2py::caster::try_generate<OesQryStkHoldingReqT>(c, "toOesQryStkHoldingReqT");
    // OesQryStkHoldingRspT
    c2py::caster::try_generate<OesQryStkHoldingRspT>(c, "toOesQryStkHoldingRspT");
    // OesQryOptHoldingFilterT
    c2py::caster::try_generate<OesQryOptHoldingFilterT>(c, "toOesQryOptHoldingFilterT");
    // OesOptHoldingItemT
    c2py::caster::try_generate<OesOptHoldingItemT>(c, "toOesOptHoldingItemT");
    // OesQryOptHoldingReqT
    c2py::caster::try_generate<OesQryOptHoldingReqT>(c, "toOesQryOptHoldingReqT");
    // OesQryOptHoldingRspT
    c2py::caster::try_generate<OesQryOptHoldingRspT>(c, "toOesQryOptHoldingRspT");
    // OesQryCustFilterT
    c2py::caster::try_generate<OesQryCustFilterT>(c, "toOesQryCustFilterT");
    // OesCustItemT
    c2py::caster::try_generate<OesCustItemT>(c, "toOesCustItemT");
    // OesQryCustReqT
    c2py::caster::try_generate<OesQryCustReqT>(c, "toOesQryCustReqT");
    // OesQryCustRspT
    c2py::caster::try_generate<OesQryCustRspT>(c, "toOesQryCustRspT");
    // OesQryInvAcctFilterT
    c2py::caster::try_generate<OesQryInvAcctFilterT>(c, "toOesQryInvAcctFilterT");
    // OesInvAcctItemT
    c2py::caster::try_generate<OesInvAcctItemT>(c, "toOesInvAcctItemT");
    // OesQryInvAcctReqT
    c2py::caster::try_generate<OesQryInvAcctReqT>(c, "toOesQryInvAcctReqT");
    // OesQryInvAcctRspT
    c2py::caster::try_generate<OesQryInvAcctRspT>(c, "toOesQryInvAcctRspT");
    // OesInvAcctOverviewT
    c2py::caster::try_generate<OesInvAcctOverviewT>(c, "toOesInvAcctOverviewT");
    // OesCashAcctOverviewT
    c2py::caster::try_generate<OesCashAcctOverviewT>(c, "toOesCashAcctOverviewT");
    // OesCustOverviewT
    c2py::caster::try_generate<OesCustOverviewT>(c, "toOesCustOverviewT");
    // OesClientOverviewT
    c2py::caster::try_generate<OesClientOverviewT>(c, "toOesClientOverviewT");
    // OesQryCommissionRateFilterT
    c2py::caster::try_generate<OesQryCommissionRateFilterT>(c, "toOesQryCommissionRateFilterT");
    // OesCommissionRateItemT
    c2py::caster::try_generate<OesCommissionRateItemT>(c, "toOesCommissionRateItemT");
    // OesQryCommissionRateReqT
    c2py::caster::try_generate<OesQryCommissionRateReqT>(c, "toOesQryCommissionRateReqT");
    // OesQryCommissionRateRspT
    c2py::caster::try_generate<OesQryCommissionRateRspT>(c, "toOesQryCommissionRateRspT");
    // OesQryFundTransferSerialFilterT
    c2py::caster::try_generate<OesQryFundTransferSerialFilterT>(c, "toOesQryFundTransferSerialFilterT");
    // OesFundTransferSerialItemT
    c2py::caster::try_generate<OesFundTransferSerialItemT>(c, "toOesFundTransferSerialItemT");
    // OesQryFundTransferSerialReqT
    c2py::caster::try_generate<OesQryFundTransferSerialReqT>(c, "toOesQryFundTransferSerialReqT");
    // OesQryFundTransferSerialRspT
    c2py::caster::try_generate<OesQryFundTransferSerialRspT>(c, "toOesQryFundTransferSerialRspT");
    // OesQryLotWinningFilterT
    c2py::caster::try_generate<OesQryLotWinningFilterT>(c, "toOesQryLotWinningFilterT");
    // OesLotWinningItemT
    c2py::caster::try_generate<OesLotWinningItemT>(c, "toOesLotWinningItemT");
    // OesQryLotWinningReqT
    c2py::caster::try_generate<OesQryLotWinningReqT>(c, "toOesQryLotWinningReqT");
    // OesQryLotWinningRspT
    c2py::caster::try_generate<OesQryLotWinningRspT>(c, "toOesQryLotWinningRspT");
    // OesQryIssueFilterT
    c2py::caster::try_generate<OesQryIssueFilterT>(c, "toOesQryIssueFilterT");
    // OesIssueItemT
    c2py::caster::try_generate<OesIssueItemT>(c, "toOesIssueItemT");
    // OesQryIssueReqT
    c2py::caster::try_generate<OesQryIssueReqT>(c, "toOesQryIssueReqT");
    // OesQryIssueRspT
    c2py::caster::try_generate<OesQryIssueRspT>(c, "toOesQryIssueRspT");
    // OesQryStockFilterT
    c2py::caster::try_generate<OesQryStockFilterT>(c, "toOesQryStockFilterT");
    // OesStockItemT
    c2py::caster::try_generate<OesStockItemT>(c, "toOesStockItemT");
    // OesQryStockReqT
    c2py::caster::try_generate<OesQryStockReqT>(c, "toOesQryStockReqT");
    // OesQryStockRspT
    c2py::caster::try_generate<OesQryStockRspT>(c, "toOesQryStockRspT");
    // OesQryEtfFilterT
    c2py::caster::try_generate<OesQryEtfFilterT>(c, "toOesQryEtfFilterT");
    // OesEtfItemT
    c2py::caster::try_generate<OesEtfItemT>(c, "toOesEtfItemT");
    // OesQryEtfReqT
    c2py::caster::try_generate<OesQryEtfReqT>(c, "toOesQryEtfReqT");
    // OesQryEtfRspT
    c2py::caster::try_generate<OesQryEtfRspT>(c, "toOesQryEtfRspT");
    // OesQryEtfComponentFilterT
    c2py::caster::try_generate<OesQryEtfComponentFilterT>(c, "toOesQryEtfComponentFilterT");
    // OesEtfComponentItemT
    c2py::caster::try_generate<OesEtfComponentItemT>(c, "toOesEtfComponentItemT");
    // OesQryEtfComponentReqT
    c2py::caster::try_generate<OesQryEtfComponentReqT>(c, "toOesQryEtfComponentReqT");
    // OesQryEtfComponentRspT
    c2py::caster::try_generate<OesQryEtfComponentRspT>(c, "toOesQryEtfComponentRspT");
    // OesQryOptionFilterT
    c2py::caster::try_generate<OesQryOptionFilterT>(c, "toOesQryOptionFilterT");
    // OesOptionItemT
    c2py::caster::try_generate<OesOptionItemT>(c, "toOesOptionItemT");
    // OesQryOptionReqT
    c2py::caster::try_generate<OesQryOptionReqT>(c, "toOesQryOptionReqT");
    // OesQryOptionRspT
    c2py::caster::try_generate<OesQryOptionRspT>(c, "toOesQryOptionRspT");
    // OesQryTradingDayRspT
    c2py::caster::try_generate<OesQryTradingDayRspT>(c, "toOesQryTradingDayRspT");
    // OesQryMarketStateFilterT
    c2py::caster::try_generate<OesQryMarketStateFilterT>(c, "toOesQryMarketStateFilterT");
    // OesMarketStateItemT
    c2py::caster::try_generate<OesMarketStateItemT>(c, "toOesMarketStateItemT");
    // OesQryMarketStateReqT
    c2py::caster::try_generate<OesQryMarketStateReqT>(c, "toOesQryMarketStateReqT");
    // OesQryMarketStateRspT
    c2py::caster::try_generate<OesQryMarketStateRspT>(c, "toOesQryMarketStateRspT");
    // OesQryReqMsgT
    c2py::caster::try_generate<OesQryReqMsgT>(c, "toOesQryReqMsgT");
    // OesQryRspMsgT
    c2py::caster::try_generate<OesQryRspMsgT>(c, "toOesQryRspMsgT");
    // eOesMsgTypeT
    c2py::caster::try_generate<eOesMsgTypeT>(c, "toeOesMsgTypeT");
    // eOesSubscribeReportTypeT
    c2py::caster::try_generate<eOesSubscribeReportTypeT>(c, "toeOesSubscribeReportTypeT");
    // eOesProtocolHintsTypeT
    c2py::caster::try_generate<eOesProtocolHintsTypeT>(c, "toeOesProtocolHintsTypeT");
    // OesReportSynchronizationReqT
    c2py::caster::try_generate<OesReportSynchronizationReqT>(c, "toOesReportSynchronizationReqT");
    // OesReportSynchronizationRspT
    c2py::caster::try_generate<OesReportSynchronizationRspT>(c, "toOesReportSynchronizationRspT");
    // OesTestRequestReqT
    c2py::caster::try_generate<OesTestRequestReqT>(c, "toOesTestRequestReqT");
    // OesTestRequestRspT
    c2py::caster::try_generate<OesTestRequestRspT>(c, "toOesTestRequestRspT");
    // OesChangePasswordReqT
    c2py::caster::try_generate<OesChangePasswordReqT>(c, "toOesChangePasswordReqT");
    // OesChangePasswordRspT
    c2py::caster::try_generate<OesChangePasswordRspT>(c, "toOesChangePasswordRspT");
    // OesBatchOrdersHeadT
    c2py::caster::try_generate<OesBatchOrdersHeadT>(c, "toOesBatchOrdersHeadT");
    // OesBatchOrdersReqT
    c2py::caster::try_generate<OesBatchOrdersReqT>(c, "toOesBatchOrdersReqT");
    // OesRptMsgHeadT
    c2py::caster::try_generate<OesRptMsgHeadT>(c, "toOesRptMsgHeadT");
    // OesRptMsgBodyT
    c2py::caster::try_generate<OesRptMsgBodyT>(c, "toOesRptMsgBodyT");
    // OesRptMsgT
    c2py::caster::try_generate<OesRptMsgT>(c, "toOesRptMsgT");
    // OesReqMsgBodyT
    c2py::caster::try_generate<OesReqMsgBodyT>(c, "toOesReqMsgBodyT");
    // OesRspMsgBodyT
    c2py::caster::try_generate<OesRspMsgBodyT>(c, "toOesRspMsgBodyT");
    // SErrMsgT
    c2py::caster::try_generate<SErrMsgT>(c, "toSErrMsgT");
    // SDataBufferT
    c2py::caster::try_generate<SDataBufferT>(c, "toSDataBufferT");
    // eSSocketProtocolTypeT
    c2py::caster::try_generate<eSSocketProtocolTypeT>(c, "toeSSocketProtocolTypeT");
    // SSocketUriInfoT
    c2py::caster::try_generate<SSocketUriInfoT>(c, "toSSocketUriInfoT");
    // SSocketIpPortInfoT
    c2py::caster::try_generate<SSocketIpPortInfoT>(c, "toSSocketIpPortInfoT");
    // SSocketChannelInfoT
    c2py::caster::try_generate<SSocketChannelInfoT>(c, "toSSocketChannelInfoT");
    // SSocketOptionConfigT
    c2py::caster::try_generate<SSocketOptionConfigT>(c, "toSSocketOptionConfigT");
    // eGeneralClientClusterTypeT
    c2py::caster::try_generate<eGeneralClientClusterTypeT>(c, "toeGeneralClientClusterTypeT");
    // eGeneralClientEncryptTypeT
    c2py::caster::try_generate<eGeneralClientEncryptTypeT>(c, "toeGeneralClientEncryptTypeT");
    // SGeneralClientChannelT
    c2py::caster::try_generate<SGeneralClientChannelT>(c, "toSGeneralClientChannelT");
    // SGeneralClientChannelGroupT
    c2py::caster::try_generate<SGeneralClientChannelGroupT>(c, "toSGeneralClientChannelGroupT");
    // SGeneralClientAddrInfoT
    c2py::caster::try_generate<SGeneralClientAddrInfoT>(c, "toSGeneralClientAddrInfoT");
    // SGeneralClientRemoteCfgT
    c2py::caster::try_generate<SGeneralClientRemoteCfgT>(c, "toSGeneralClientRemoteCfgT");
    // eOesApiChannelTypeT
    c2py::caster::try_generate<eOesApiChannelTypeT>(c, "toeOesApiChannelTypeT");
    // OesApiSessionInfoT
    c2py::caster::try_generate<OesApiSessionInfoT>(c, "toOesApiSessionInfoT");
    // OesApiChannelGroupT
    c2py::caster::try_generate<OesApiChannelGroupT>(c, "toOesApiChannelGroupT");
    // OesApiAddrInfoT
    c2py::caster::try_generate<OesApiAddrInfoT>(c, "toOesApiAddrInfoT");
    // OesApiRemoteCfgT
    c2py::caster::try_generate<OesApiRemoteCfgT>(c, "toOesApiRemoteCfgT");
    // OesApiSubscribeInfoT
    c2py::caster::try_generate<OesApiSubscribeInfoT>(c, "toOesApiSubscribeInfoT");
    // OesApiClientCfgT
    c2py::caster::try_generate<OesApiClientCfgT>(c, "toOesApiClientCfgT");
    // OesApiClientEnvT
    c2py::caster::try_generate<OesApiClientEnvT>(c, "toOesApiClientEnvT");
    // F_OESAPI_ON_RPT_MSG_T
    c2py::caster::try_generate<F_OESAPI_ON_RPT_MSG_T>(c, "toF_OESAPI_ON_RPT_MSG_T");
    // F_OESAPI_ON_QRY_MSG_T
    c2py::caster::try_generate<F_OESAPI_ON_QRY_MSG_T>(c, "toF_OESAPI_ON_QRY_MSG_T");
    // eMdsExchangeIdT
    c2py::caster::try_generate<eMdsExchangeIdT>(c, "toeMdsExchangeIdT");
    // eMdsMsgSourceT
    c2py::caster::try_generate<eMdsMsgSourceT>(c, "toeMdsMsgSourceT");
    // eMdsMdProductTypeT
    c2py::caster::try_generate<eMdsMdProductTypeT>(c, "toeMdsMdProductTypeT");
    // eMdsMdStreamTypeT
    c2py::caster::try_generate<eMdsMdStreamTypeT>(c, "toeMdsMdStreamTypeT");
    // eMdsMdLevelT
    c2py::caster::try_generate<eMdsMdLevelT>(c, "toeMdsMdLevelT");
    // eMdsL2PriceLevelOperatorT
    c2py::caster::try_generate<eMdsL2PriceLevelOperatorT>(c, "toeMdsL2PriceLevelOperatorT");
    // eMdsL2TradeExecTypeT
    c2py::caster::try_generate<eMdsL2TradeExecTypeT>(c, "toeMdsL2TradeExecTypeT");
    // eMdsL2TradeBSFlagT
    c2py::caster::try_generate<eMdsL2TradeBSFlagT>(c, "toeMdsL2TradeBSFlagT");
    // eMdsL2OrderSideT
    c2py::caster::try_generate<eMdsL2OrderSideT>(c, "toeMdsL2OrderSideT");
    // eMdsL2OrderTypeT
    c2py::caster::try_generate<eMdsL2OrderTypeT>(c, "toeMdsL2OrderTypeT");
    // eMdsClientTypeT
    c2py::caster::try_generate<eMdsClientTypeT>(c, "toeMdsClientTypeT");
    // eMdsClientStatusT
    c2py::caster::try_generate<eMdsClientStatusT>(c, "toeMdsClientStatusT");
    // MdsTradingSessionStatusMsgT
    c2py::caster::try_generate<MdsTradingSessionStatusMsgT>(c, "toMdsTradingSessionStatusMsgT");
    // MdsSecurityStatusMsgT
    c2py::caster::try_generate<MdsSecurityStatusMsgT>(c, "toMdsSecurityStatusMsgT");
    // MdsPriceLevelEntryT
    c2py::caster::try_generate<MdsPriceLevelEntryT>(c, "toMdsPriceLevelEntryT");
    // MdsMktDataSnapshotHeadT
    c2py::caster::try_generate<MdsMktDataSnapshotHeadT>(c, "toMdsMktDataSnapshotHeadT");
    // MdsIndexSnapshotBodyT
    c2py::caster::try_generate<MdsIndexSnapshotBodyT>(c, "toMdsIndexSnapshotBodyT");
    // MdsStockSnapshotBodyT
    c2py::caster::try_generate<MdsStockSnapshotBodyT>(c, "toMdsStockSnapshotBodyT");
    // MdsL1SnapshotBodyT
    c2py::caster::try_generate<MdsL1SnapshotBodyT>(c, "toMdsL1SnapshotBodyT");
    // MdsL1SnapshotT
    c2py::caster::try_generate<MdsL1SnapshotT>(c, "toMdsL1SnapshotT");
    // MdsL2StockSnapshotBodyT
    c2py::caster::try_generate<MdsL2StockSnapshotBodyT>(c, "toMdsL2StockSnapshotBodyT");
    // MdsL2StockSnapshotIncrementalT
    c2py::caster::try_generate<MdsL2StockSnapshotIncrementalT>(c, "toMdsL2StockSnapshotIncrementalT");
    // MdsL2BestOrdersSnapshotBodyT
    c2py::caster::try_generate<MdsL2BestOrdersSnapshotBodyT>(c, "toMdsL2BestOrdersSnapshotBodyT");
    // MdsL2BestOrdersSnapshotIncrementalT
    c2py::caster::try_generate<MdsL2BestOrdersSnapshotIncrementalT>(c, "toMdsL2BestOrdersSnapshotIncrementalT");
    // MdsL2MarketOverviewT
    c2py::caster::try_generate<MdsL2MarketOverviewT>(c, "toMdsL2MarketOverviewT");
    // MdsL2SnapshotBodyT
    c2py::caster::try_generate<MdsL2SnapshotBodyT>(c, "toMdsL2SnapshotBodyT");
    // MdsMktDataSnapshotT
    c2py::caster::try_generate<MdsMktDataSnapshotT>(c, "toMdsMktDataSnapshotT");
    // MdsL2TradeT
    c2py::caster::try_generate<MdsL2TradeT>(c, "toMdsL2TradeT");
    // MdsL2OrderT
    c2py::caster::try_generate<MdsL2OrderT>(c, "toMdsL2OrderT");
    // MdsWholeMktMsgBodyT
    c2py::caster::try_generate<MdsWholeMktMsgBodyT>(c, "toMdsWholeMktMsgBodyT");
    // MdsStockStaticInfoT
    c2py::caster::try_generate<MdsStockStaticInfoT>(c, "toMdsStockStaticInfoT");
    // MdsQryMktDataSnapshotReqT
    c2py::caster::try_generate<MdsQryMktDataSnapshotReqT>(c, "toMdsQryMktDataSnapshotReqT");
    // MdsQrySecurityStatusReqT
    c2py::caster::try_generate<MdsQrySecurityStatusReqT>(c, "toMdsQrySecurityStatusReqT");
    // MdsQryTrdSessionStatusReqT
    c2py::caster::try_generate<MdsQryTrdSessionStatusReqT>(c, "toMdsQryTrdSessionStatusReqT");
    // MdsQryReqHeadT
    c2py::caster::try_generate<MdsQryReqHeadT>(c, "toMdsQryReqHeadT");
    // MdsQryRspHeadT
    c2py::caster::try_generate<MdsQryRspHeadT>(c, "toMdsQryRspHeadT");
    // MdsQryCursorT
    c2py::caster::try_generate<MdsQryCursorT>(c, "toMdsQryCursorT");
    // MdsQrySecurityCodeEntryT
    c2py::caster::try_generate<MdsQrySecurityCodeEntryT>(c, "toMdsQrySecurityCodeEntryT");
    // MdsQryStockStaticInfoFilterT
    c2py::caster::try_generate<MdsQryStockStaticInfoFilterT>(c, "toMdsQryStockStaticInfoFilterT");
    // MdsQryStockStaticInfoReqT
    c2py::caster::try_generate<MdsQryStockStaticInfoReqT>(c, "toMdsQryStockStaticInfoReqT");
    // MdsQryStockStaticInfoRspT
    c2py::caster::try_generate<MdsQryStockStaticInfoRspT>(c, "toMdsQryStockStaticInfoRspT");
    // MdsQrySnapshotListFilterT
    c2py::caster::try_generate<MdsQrySnapshotListFilterT>(c, "toMdsQrySnapshotListFilterT");
    // MdsQrySnapshotListReqT
    c2py::caster::try_generate<MdsQrySnapshotListReqT>(c, "toMdsQrySnapshotListReqT");
    // MdsQrySnapshotListRspT
    c2py::caster::try_generate<MdsQrySnapshotListRspT>(c, "toMdsQrySnapshotListRspT");
    // eMdsMsgTypeT
    c2py::caster::try_generate<eMdsMsgTypeT>(c, "toeMdsMsgTypeT");
    // eMdsSubscribeModeT
    c2py::caster::try_generate<eMdsSubscribeModeT>(c, "toeMdsSubscribeModeT");
    // eMdsMktSubscribeFlagT
    c2py::caster::try_generate<eMdsMktSubscribeFlagT>(c, "toeMdsMktSubscribeFlagT");
    // eMdsSubscribedTickTypeT
    c2py::caster::try_generate<eMdsSubscribedTickTypeT>(c, "toeMdsSubscribedTickTypeT");
    // eMdsSubscribedTickExpireTypeT
    c2py::caster::try_generate<eMdsSubscribedTickExpireTypeT>(c, "toeMdsSubscribedTickExpireTypeT");
    // eMdsSubscribeDataTypeT
    c2py::caster::try_generate<eMdsSubscribeDataTypeT>(c, "toeMdsSubscribeDataTypeT");
    // eMdsTickChannelNoT
    c2py::caster::try_generate<eMdsTickChannelNoT>(c, "toeMdsTickChannelNoT");
    // eMdsProtocolHintsTypeT
    c2py::caster::try_generate<eMdsProtocolHintsTypeT>(c, "toeMdsProtocolHintsTypeT");
    // MdsMktDataRequestEntryT
    c2py::caster::try_generate<MdsMktDataRequestEntryT>(c, "toMdsMktDataRequestEntryT");
    // MdsMktDataRequestReqT
    c2py::caster::try_generate<MdsMktDataRequestReqT>(c, "toMdsMktDataRequestReqT");
    // MdsMktDataRequestReqBufT
    c2py::caster::try_generate<MdsMktDataRequestReqBufT>(c, "toMdsMktDataRequestReqBufT");
    // MdsMktDataRequestRspT
    c2py::caster::try_generate<MdsMktDataRequestRspT>(c, "toMdsMktDataRequestRspT");
    // MdsTestRequestReqT
    c2py::caster::try_generate<MdsTestRequestReqT>(c, "toMdsTestRequestReqT");
    // MdsTestRequestRspT
    c2py::caster::try_generate<MdsTestRequestRspT>(c, "toMdsTestRequestRspT");
    // MdsChangePasswordReqT
    c2py::caster::try_generate<MdsChangePasswordReqT>(c, "toMdsChangePasswordReqT");
    // MdsChangePasswordRspT
    c2py::caster::try_generate<MdsChangePasswordRspT>(c, "toMdsChangePasswordRspT");
    // MdsMktReqMsgBodyT
    c2py::caster::try_generate<MdsMktReqMsgBodyT>(c, "toMdsMktReqMsgBodyT");
    // MdsMktRspMsgBodyT
    c2py::caster::try_generate<MdsMktRspMsgBodyT>(c, "toMdsMktRspMsgBodyT");
    // MdsUdpPktHeadT
    c2py::caster::try_generate<MdsUdpPktHeadT>(c, "toMdsUdpPktHeadT");
    // eMdsApiChannelTypeT
    c2py::caster::try_generate<eMdsApiChannelTypeT>(c, "toeMdsApiChannelTypeT");
    // MdsApiSessionInfoT
    c2py::caster::try_generate<MdsApiSessionInfoT>(c, "toMdsApiSessionInfoT");
    // MdsApiChannelGroupT
    c2py::caster::try_generate<MdsApiChannelGroupT>(c, "toMdsApiChannelGroupT");
    // MdsApiAddrInfoT
    c2py::caster::try_generate<MdsApiAddrInfoT>(c, "toMdsApiAddrInfoT");
    // MdsApiRemoteCfgT
    c2py::caster::try_generate<MdsApiRemoteCfgT>(c, "toMdsApiRemoteCfgT");
    // MdsApiSubscribeInfoT
    c2py::caster::try_generate<MdsApiSubscribeInfoT>(c, "toMdsApiSubscribeInfoT");
    // MdsApiClientCfgT
    c2py::caster::try_generate<MdsApiClientCfgT>(c, "toMdsApiClientCfgT");
    // MdsApiClientEnvT
    c2py::caster::try_generate<MdsApiClientEnvT>(c, "toMdsApiClientEnvT");
    // F_MDSAPI_ONMSG_T
    c2py::caster::try_generate<F_MDSAPI_ONMSG_T>(c, "toF_MDSAPI_ONMSG_T");
    // F_MDSAPI_ON_QRY_MSG_T
    c2py::caster::try_generate<F_MDSAPI_ON_QRY_MSG_T>(c, "toF_MDSAPI_ON_QRY_MSG_T");
}
